Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# pngrtran.c File Reference

`#include "png.h"`

Include dependency graph for pngrtran.c:

## Compounds
struct | png_dsort_struct
## Defines
#define | PNG_INTERNAL
## Typedefs
typedef png_dsort_struct | png_dsort
typedef png_dsort * | png_dsortp
typedef png_dsort ** | png_dsortpp
## Functions
void | png_set_crc_action (png_structp png_ptr, int crit_action, int ancil_action)
void | png_set_background (png_structp png_ptr, png_color_16p background_color, int background_gamma_code, int need_expand, double background_gamma)
void | png_set_strip_16 (png_structp png_ptr)
void | png_set_strip_alpha (png_structp png_ptr)
void | png_set_dither (png_structp png_ptr, png_colorp palette, int num_palette, int maximum_colors, png_uint_16p histogram, int full_dither)
void | png_set_gamma (png_structp png_ptr, double scrn_gamma, double file_gamma)
void | png_set_expand (png_structp png_ptr)
void | png_set_palette_to_rgb (png_structp png_ptr)
void | png_set_gray_1_2_4_to_8 (png_structp png_ptr)
void | png_set_tRNS_to_alpha (png_structp png_ptr)
void | png_set_gray_to_rgb (png_structp png_ptr)
void | png_set_rgb_to_gray (png_structp png_ptr, int error_action, double red, double green)
void | png_set_rgb_to_gray_fixed (png_structp png_ptr, int error_action, png_fixed_point red, png_fixed_point green)
void | png_set_read_user_transform_fn (png_structp png_ptr, png_user_transform_ptr read_user_transform_fn)
void | png_init_read_transformations (png_structp png_ptr)
void | png_read_transform_info (png_structp png_ptr, png_infop info_ptr)
void | png_do_read_transformations (png_structp png_ptr)
void | png_do_unpack (png_row_infop row_info, png_bytep row)
void | png_do_unshift (png_row_infop row_info, png_bytep row, png_color_8p sig_bits)
void | png_do_chop (png_row_infop row_info, png_bytep row)
void | png_do_read_swap_alpha (png_row_infop row_info, png_bytep row)
void | png_do_read_invert_alpha (png_row_infop row_info, png_bytep row)
void | png_do_read_filler (png_row_infop row_info, png_bytep row, png_uint_32 filler, png_uint_32 flags)
void | png_do_gray_to_rgb (png_row_infop row_info, png_bytep row)
int | png_do_rgb_to_gray (png_structp png_ptr, png_row_infop row_info, png_bytep row)
void | png_build_grayscale_palette (int bit_depth, png_colorp palette)
void | png_do_background (png_row_infop row_info, png_bytep row, png_color_16p trans_values, png_color_16p background, png_color_16p background_1, png_bytep gamma_table, png_bytep gamma_from_1, png_bytep gamma_to_1, png_uint_16pp gamma_16, png_uint_16pp gamma_16_from_1, png_uint_16pp gamma_16_to_1, int gamma_shift)
void | png_do_gamma (png_row_infop row_info, png_bytep row, png_bytep gamma_table, png_uint_16pp gamma_16_table, int gamma_shift)
void | png_do_expand_palette (png_row_infop row_info, png_bytep row, png_colorp palette, png_bytep trans, int num_trans)
void | png_do_expand (png_row_infop row_info, png_bytep row, png_color_16p trans_value)
void | png_do_dither (png_row_infop row_info, png_bytep row, png_bytep palette_lookup, png_bytep dither_lookup)
void | png_build_gamma_table (png_structp png_ptr)
void | png_do_read_intrapixel (png_row_infop row_info, png_bytep row)
## Variables
int | png_gamma_shift []

## Define Documentation

#define PNG_INTERNAL

## Typedef Documentation

typedef struct png_dsort_struct png_dsort

typedef png_dsort* png_dsortp

typedef png_dsort* * png_dsortpp

## Function Documentation

void png_build_gamma_table | ( | png_structp | png_ptr | ) |

void png_build_grayscale_palette | ( | int | bit_depth,
|  | png_colorp | palette
| ) |

void png_do_background | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_color_16p | trans_values,
|  | png_color_16p | background,
|  | png_color_16p | background_1,
|  | png_bytep | gamma_table,
|  | png_bytep | gamma_from_1,
|  | png_bytep | gamma_to_1,
|  | png_uint_16pp | gamma_16,
|  | png_uint_16pp | gamma_16_from_1,
|  | png_uint_16pp | gamma_16_to_1,
|  | int | gamma_shift
| ) |

void png_do_chop | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_dither | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_bytep | palette_lookup,
|  | png_bytep | dither_lookup
| ) |

void png_do_expand | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_color_16p | trans_value
| ) |

void png_do_expand_palette | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_colorp | palette,
|  | png_bytep | trans,
|  | int | num_trans
| ) |

void png_do_gamma | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_bytep | gamma_table,
|  | png_uint_16pp | gamma_16_table,
|  | int | gamma_shift
| ) |

void png_do_gray_to_rgb | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_read_filler | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_uint_32 | filler,
|  | png_uint_32 | flags
| ) |

void png_do_read_intrapixel | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_read_invert_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_read_swap_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_read_transformations | ( | png_structp | png_ptr | ) |

int png_do_rgb_to_gray | ( | png_structp | png_ptr,
|  | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_unpack | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |

void png_do_unshift | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_color_8p | sig_bits
| ) |

void png_init_read_transformations | ( | png_structp | png_ptr | ) |

void png_read_transform_info | ( | png_structp | png_ptr,
|  | png_infop | info_ptr
| ) |

void png_set_background | ( | png_structp | png_ptr,
|  | png_color_16p | background_color,
|  | int | background_gamma_code,
|  | int | need_expand,
|  | double | background_gamma
| ) |

void png_set_crc_action | ( | png_structp | png_ptr,
|  | int | crit_action,
|  | int | ancil_action
| ) |

void png_set_dither | ( | png_structp | png_ptr,
|  | png_colorp | palette,
|  | int | num_palette,
|  | int | maximum_colors,
|  | png_uint_16p | histogram,
|  | int | full_dither
| ) |

void png_set_expand | ( | png_structp | png_ptr | ) |

void png_set_gamma | ( | png_structp | png_ptr,
|  | double | scrn_gamma,
|  | double | file_gamma
| ) |

void png_set_gray_1_2_4_to_8 | ( | png_structp | png_ptr | ) |

void png_set_gray_to_rgb | ( | png_structp | png_ptr | ) |

void png_set_palette_to_rgb | ( | png_structp | png_ptr | ) |

void png_set_read_user_transform_fn | ( | png_structp | png_ptr,
|  | png_user_transform_ptr | read_user_transform_fn
| ) |

void png_set_rgb_to_gray | ( | png_structp | png_ptr,
|  | int | error_action,
|  | double | red,
|  | double | green
| ) |

void png_set_rgb_to_gray_fixed | ( | png_structp | png_ptr,
|  | int | error_action,
|  | png_fixed_point | red,
|  | png_fixed_point | green
| ) |

void png_set_strip_16 | ( | png_structp | png_ptr | ) |

void png_set_strip_alpha | ( | png_structp | png_ptr | ) |

void png_set_tRNS_to_alpha | ( | png_structp | png_ptr | ) |

## Variable Documentation

int png_gamma_shift[]`[static]`

| Initial value:
       {0x10, 0x21, 0x42, 0x84, 0x110, 0x248, 0x550, 0xff0}